Bug 484511 - Review Request: crunchyfrog - A multi-engine SQL client and database front-end
Review Request: crunchyfrog - A multi-engine SQL client and database front-end
Status: CLOSED DUPLICATE of bug 526451
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-07 11:51 EST by Ignacio Vazquez-Abrams
Modified: 2009-09-30 07:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-17 22:07:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2009-02-07 11:51:08 EST
Spec URL: http://ivazquez.fedorapeople.org/packages/crunchyfrog/crunchyfrog.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/crunchyfrog/crunchyfrog-0.3.3-1.src.rpm
Description:
CrunchyFrog is a SQL client and database front-end.

It's mainly written for GNOME but it should run in other environments too.

Supported databases:
  * PostgreSQL (requires psycopg2)
  * MySQL (requires MySQLdb)
  * SQLite (requires python-sqlite3)
  * Oracle (requires cx_Oracle)
  * LDAP (requires python-ldap)
  * MSSQL (requires pymssql)
Comment 1 Dave Malcolm 2009-03-18 21:03:51 EDT
Does this actually build for you?  On running:
  $ rpmbuild --rebuild crunchyfrog-0.3.3-1.src.rpm 
I get:
+ unset DISPLAY
+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 41, in <module>
    from cf import release
  File "/home/david/rpmbuild/BUILD/crunchyfrog-0.3.3/cf/__init__.py", line 78, in <module>
    import gtk
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 79, in <module>
    _init()
  File "/usr/lib/python2.5/site-packages/gtk-2.0/gtk/__init__.py", line 67, in _init
    _gtk.init_check()
RuntimeError: could not open display
error: Bad exit status from /var/tmp/rpm-tmp.8x83EX (%build)
Comment 2 Dave Malcolm 2009-03-18 21:06:49 EDT
Looks like the error is from crunchyfrog-0.3.3/cf/__init__.py:
try:
    import gtk
    import gtk.glade
    gtk.glade.textdomain('crunchyfrog')
    gtk.glade.bindtextdomain('crunchyfrog', LOCALE_DIR)
except ImportError:
    # We don't need it on buildbots, so let's die silently.
    pass

and this is raising a RuntimeError, not an ImportError
Comment 3 Dave Malcolm 2009-03-18 21:07:37 EDT
This is on F10, not rawhide:  pygtk2-2.13.0-2.fc10.i386
Comment 4 Dave Malcolm 2009-03-18 21:17:33 EDT
I got it to build on my F10 laptop by patching the file above.

See http://people.redhat.com/dmalcolm/crunchyfrog-0.3.3-1.fc10.src.rpm
Comment 5 Dave Malcolm 2009-03-18 21:30:11 EDT
Not a real review yet, but on superficial inspection:
 - rpmlint is clean
 - need to add:
     Requires: ipython

Might be nice to patch the plugins window so that it uses PackageKit to install missing RPMs for the various db backends.  Probably something to take upstream
Comment 6 Dave Malcolm 2009-03-18 21:32:44 EDT
Aha: there's nothing in the BuildRequires that brings in pygtk2, so on a clean build root, the build succeeds (due to the "except: ImportError"), whereas on a machine with pygtk2 it failes.

So my patch is wrong as is.
Comment 8 Rakesh Pandit 2009-05-10 12:30:55 EDT
Nice .... you are already put up a review ... I also spent some time .. in packaging it .. and later found a review already there.

Here is my SPEC and SRPM .. in case it is of any help.
http://rakesh.fedorapeople.org/spec/crunchyfrog.spec
http://rakesh.fedorapeople.org/srpm/crunchyfrog-0.3.4-1.fc10.src.rpm

Thanks,
Comment 9 Rakesh Pandit 2009-06-24 03:31:26 EDT
Will review
Comment 10 Rakesh Pandit 2009-06-24 04:11:40 EDT
http://ivazquez.fedorapeople.org/packages/crunchyfrog/crunchyfrog.spec
http://ivazquez.fedorapeople.org/packages/crunchyfrog/crunchyfrog-0.3.4-1.src.rpm  

I am reviewing ivazquez's files:

1. Why is %{dist} missing from srpm ? 

2. License snippet from code says "# the Free Software Foundation, either version 3 of the License, or                                                                                          
# (at your option) any later version.     "

that means GPLv3+

3. may you check 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
& http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

for icon also you need hicolor-* dependency ..

may you check the spec file in #8

Thanks,
Comment 11 Rakesh Pandit 2009-06-24 04:21:37 EDT

May you check missing requires and buildrequires build fails:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1433075
Comment 12 Rakesh Pandit 2009-08-05 12:29:26 EDT
hi Ignacio, Are you still interested in carrying this review forward ?
Comment 13 Rakesh Pandit 2009-08-11 15:33:54 EDT
hi Ignacio, I will post a new review request and close this in case I don't see any response in a week.

Thanks,
Comment 14 Ignacio Vazquez-Abrams 2009-08-17 22:07:52 EDT
Yes, sorry, please do. Feel free to use my work.
Comment 15 Rakesh Pandit 2009-09-30 07:18:56 EDT

*** This bug has been marked as a duplicate of bug 526451 ***

Note You need to log in before you can comment on or make changes to this bug.